from setuptools import Extension, setup

ext = Extension(
    name='gym_drone_landing.core',
    include_dirs=['gym_drone_landing/core'],
    sources=[
        './gym_drone_landing/core/core.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2BroadPhase.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2CollideCircle.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2CollideEdge.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2CollidePolygon.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2Collision.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2Distance.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2DynamicTree.cpp',
        './gym_drone_landing/core/Box2D/Collision/b2TimeOfImpact.cpp',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2ChainShape.cpp',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2CircleShape.cpp',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2EdgeShape.cpp',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2PolygonShape.cpp',
        './gym_drone_landing/core/Box2D/Common/b2BlockAllocator.cpp',
        './gym_drone_landing/core/Box2D/Common/b2Draw.cpp',
        './gym_drone_landing/core/Box2D/Common/b2Math.cpp',
        './gym_drone_landing/core/Box2D/Common/b2Settings.cpp',
        './gym_drone_landing/core/Box2D/Common/b2StackAllocator.cpp',
        './gym_drone_landing/core/Box2D/Common/b2Timer.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/b2Body.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/b2ContactManager.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/b2Fixture.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/b2Island.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/b2World.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/b2WorldCallbacks.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2ChainAndCircleContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2ChainAndPolygonContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2CircleContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2Contact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2ContactSolver.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2EdgeAndCircleContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2EdgeAndPolygonContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2PolygonAndCircleContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2PolygonContact.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2DistanceJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2FrictionJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2GearJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2Joint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2MotorJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2MouseJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2PrismaticJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2PulleyJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2RevoluteJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2RopeJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2WeldJoint.cpp',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2WheelJoint.cpp',
        './gym_drone_landing/core/Box2D/Rope/b2Rope.cpp',
    ],
    depends=[
        './gym_drone_landing/core/Box2D/Box2D.h',
        './gym_drone_landing/core/Box2D/Collision/b2BroadPhase.h',
        './gym_drone_landing/core/Box2D/Collision/b2Collision.h',
        './gym_drone_landing/core/Box2D/Collision/b2Distance.h',
        './gym_drone_landing/core/Box2D/Collision/b2DynamicTree.h',
        './gym_drone_landing/core/Box2D/Collision/b2TimeOfImpact.h',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2ChainShape.h',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2CircleShape.h',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2EdgeShape.h',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2PolygonShape.h',
        './gym_drone_landing/core/Box2D/Collision/Shapes/b2Shape.h',
        './gym_drone_landing/core/Box2D/Common/b2BlockAllocator.h',
        './gym_drone_landing/core/Box2D/Common/b2Draw.h',
        './gym_drone_landing/core/Box2D/Common/b2GrowableStack.h',
        './gym_drone_landing/core/Box2D/Common/b2Math.h',
        './gym_drone_landing/core/Box2D/Common/b2Settings.h',
        './gym_drone_landing/core/Box2D/Common/b2StackAllocator.h',
        './gym_drone_landing/core/Box2D/Common/b2Timer.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2Body.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2ContactManager.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2Fixture.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2Island.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2TimeStep.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2World.h',
        './gym_drone_landing/core/Box2D/Dynamics/b2WorldCallbacks.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2ChainAndCircleContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2ChainAndPolygonContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2CircleContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2Contact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2ContactSolver.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2EdgeAndCircleContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2EdgeAndPolygonContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2PolygonAndCircleContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Contacts/b2PolygonContact.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2DistanceJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2FrictionJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2GearJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2Joint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2MotorJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2MouseJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2PrismaticJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2PulleyJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2RevoluteJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2RopeJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2WeldJoint.h',
        './gym_drone_landing/core/Box2D/Dynamics/Joints/b2WheelJoint.h',
        './gym_drone_landing/core/Box2D/Rope/b2Rope.h',
        './setup.py',
    ]
)

setup(
    name='gym-drone-landing',
    packages=['gym_drone_landing'],
    version='0.2.0',
    ext_modules=[ext],
    install_requires=['gym'],
)
